@charset 'UTF-8';

@use '../../node_modules/normalize.css/normalize.css';

$color-white: #ffffff;
$color-black: #000000;

$color-bg: #073b4c;
$color-1: #ef476f;
$color-2: #ffd166;
$color-3: #06d6a0;
$color-4: #118ab2;


* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
}

html,
body {
  width: 100%;
  min-height: 100%;
}

body {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  background-color: $color-bg;
}

.container {
  position: relative;
  width: 200px;
  height: 200px;
  margin: 50px 100px;
  outline: 1px solid rgba($color-white, .1);
  outline-offset: 20px;

  &-3 {
    .box {
      border-bottom-right-radius: 50%;
    }
  }

  &-4 {
    .box {
      border-top-left-radius: 50%;
    }
  }

  &-5 {
    .box {
      border-top-left-radius: 50%;
      border-bottom-right-radius: 50%;
    }
  }
}

.box {
  position: absolute;
  top: 0;
  left: 0;
  width: 100px;
  height: 100px;
  border-radius: 20%;
  animation: box 4s ease-in-out 0s infinite normal forwards;

  &:nth-child(2) {
    animation-delay: -2s;
  }
}

@keyframes box {
  0% {
    background-color: $color-1;
    transform: translate(0, 0) rotate(0);
  }

  25% {
    background-color: $color-2;
    transform: translate(100px, 0) rotate(90deg);
  }

  50% {
    background-color: $color-3;
    transform: translate(100px, 100px) rotate(180deg);
  }

  75% {
    background-color: $color-4;
    transform: translate(0, 100px) rotate(270deg);
  }

  100% {
    background-color: $color-1;
    transform: translate(0, 0) rotate(360deg);
  }
}
